/**
	Copyright 2005-2009 Linkool International Inc. All rights reserved.
	Commercial redistribution or reuse of all or any portion of the following source code is prohibited without Linkool International Inc.'s written consent.
	For licensing and usage information related to this source code, please refer to our Terms of Use, available under: http://linkool.biz/terms/g-fox .
	For Linkool International Inc.'s privacy policy related to this source code, please refer to our Privacy Policy, available under: http://linkool.biz/privacy/g-fox .
**/
function juiceapp_SOAPClientParameters()
{var _pl=new Array();this.add=function(name,value)
{_pl[name]=value;return this;}
this.toXml=function()
{var xml="";for(var p in _pl)
xml+="<"+p+">"+juiceapp_SOAPClientParameters._serialize(_pl[p])+"</"+p+">";return xml;}}
juiceapp_SOAPClientParameters._serialize=function(o)
{var s="";switch(typeof(o))
{case"string":s+=o.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");break;case"number":case"boolean":s+=o.toString();break;case"object":if(o.constructor.toString().indexOf("function Date()")>-1)
{var year=o.getFullYear().toString();var month=(o.getMonth()+1).toString();month=(month.length==1)?"0"+month:month;var date=o.getDate().toString();date=(date.length==1)?"0"+date:date;var hours=o.getHours().toString();hours=(hours.length==1)?"0"+hours:hours;var minutes=o.getMinutes().toString();minutes=(minutes.length==1)?"0"+minutes:minutes;var seconds=o.getSeconds().toString();seconds=(seconds.length==1)?"0"+seconds:seconds;var milliseconds=o.getMilliseconds().toString();var tzminutes=Math.abs(o.getTimezoneOffset());var tzhours=0;while(tzminutes>=60)
{tzhours++;tzminutes-=60;}
tzminutes=(tzminutes.toString().length==1)?"0"+tzminutes.toString():tzminutes.toString();tzhours=(tzhours.toString().length==1)?"0"+tzhours.toString():tzhours.toString();var timezone=((o.getTimezoneOffset()<0)?"+":"-")+tzhours+":"+tzminutes;s+=year+"-"+month+"-"+date+"T"+hours+":"+minutes+":"+seconds+"."+milliseconds+timezone;}
else if(o.constructor.toString().indexOf("function Array()")>-1)
{for(var p in o)
{if(!isNaN(p))
{(/function\s+(\w*)\s*\(/ig).exec(o[p].constructor.toString());var type=RegExp.$1;switch(type)
{case"":type=typeof(o[p]);case"String":type="string";break;case"Number":type="int";break;case"Boolean":type="bool";break;case"Date":type="DateTime";break;}
s+="<"+type+">"+juiceapp_SOAPClientParameters._serialize(o[p])+"</"+type+">"}
else
s+="<"+p+">"+juiceapp_SOAPClientParameters._serialize(o[p])+"</"+p+">"}}
else
for(var p in o)
s+="<"+p+">"+juiceapp_SOAPClientParameters._serialize(o[p])+"</"+p+">";break;default:throw new Error(500,"juiceapp_SOAPClientParameters: type '"+typeof(o)+"' is not supported");}
return s;}
function juiceapp_SOAPClient(){}
juiceapp_SOAPClient.invoke=function(url,method,parameters,async,callback)
{if(async)
juiceapp_SOAPClient._loadWsdl(url,method,parameters,async,callback);else
return juiceapp_SOAPClient._loadWsdl(url,method,parameters,async,callback);}
juiceapp_SOAPClient_cacheWsdl=new Array();juiceapp_SOAPClient._loadWsdl=function(url,method,parameters,async,callback)
{var wsdl=juiceapp_SOAPClient_cacheWsdl[url];if(wsdl+""!=""&&wsdl+""!="undefined")
return juiceapp_SOAPClient._sendSoapRequest(url,method,parameters,async,callback,wsdl);var xmlHttp=juiceapp_SOAPClient._getXmlHttp();xmlHttp.open("GET",url+"?wsdl",async);if(async)
{xmlHttp.onreadystatechange=function()
{if(xmlHttp.readyState==4)
juiceapp_SOAPClient._onLoadWsdl(url,method,parameters,async,callback,xmlHttp);}}
xmlHttp.send(null);if(!async)
return juiceapp_SOAPClient._onLoadWsdl(url,method,parameters,async,callback,xmlHttp);}
juiceapp_SOAPClient._onLoadWsdl=function(url,method,parameters,async,callback,req)
{var wsdl=req.responseXML;juiceapp_SOAPClient_cacheWsdl[url]=wsdl;return juiceapp_SOAPClient._sendSoapRequest(url,method,parameters,async,callback,wsdl);}
juiceapp_SOAPClient._sendSoapRequest=function(url,method,parameters,async,callback,wsdl)
{var ns=(wsdl.documentElement.attributes["targetNamespace"]+""=="undefined")?wsdl.documentElement.attributes.getNamedItem("targetNamespace").nodeValue:wsdl.documentElement.attributes["targetNamespace"].value;var sr="<?xml version=\"1.0\" encoding=\"utf-8\"?>"+"<soap:Envelope "+"xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" "+"xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" "+"xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">"+"<soap:Header>"+"<Header xmlns=\"http://www.xignite.com/services/\">"+"<Username>mwang@linkool.biz</Username>"+"<Password>password</Password>"+"<Tracer></Tracer>"+"</Header>"+"</soap:Header>"+"<soap:Body>"+"<"+method+" xmlns=\""+ns+"\">"+
parameters.toXml()+"<Design>"+"<TextTitle>$name$ ($symbol$)</TextTitle>"+"<ColorBackground>#CCCCCC</ColorBackground>"+"<ColorBackWall>#FFFFFF</ColorBackWall>"+"<ColorHighlight>#B2B234</ColorHighlight>"+"<ColorPriceLine>#0000FF</ColorPriceLine>"+"<ColorVolumeBar>#000000</ColorVolumeBar>"+"<ColorVolumeBarFill>#999999</ColorVolumeBarFill>"+"<ColorHigh>#00FF00</ColorHigh>"+"<ColorConstant>#333399</ColorConstant>"+"<ColorLow>#FF0000</ColorLow>"+"<ColorPoint>#000000</ColorPoint>"+"<ColorTitle>#000000</ColorTitle>"+"<ColorFooter>#000000</ColorFooter>"+"<ColorHeader>#000000</ColorHeader>"+"<ColorAxis>#000000</ColorAxis>"+"<ColorGrid>#000000</ColorGrid>"+"<ColorFonts>#000000</ColorFonts>"+"<ColorStripe>#CCCCCC</ColorStripe>"+"<ColorOpen>#DBC309</ColorOpen>"+"<ColorClose>#DBC309</ColorClose>"+"<ColorVerticalGrid>#999999</ColorVerticalGrid>"+"<ColorHorizontalGrid>#999999</ColorHorizontalGrid>"+"<ColorUp>#009900</ColorUp>"+"<ColorDown>#CC0000</ColorDown>"+"<ColorHighLowLine>#000000</ColorHighLowLine>"+"<ColorCollection>#CE0000,#CE9C00,#3300FF,#00CC00,#9900CC,#FF6600,#0099FF</ColorCollection>"+"<GridHorizontalStyle>Solid</GridHorizontalStyle>"+"<GridVerticalStyle>Dot</GridVerticalStyle>"+"<GridHorizontalWidth>1</GridHorizontalWidth>"+"<GridVerticalWidth>1</GridVerticalWidth>"+"<ColorFrame />"+"<FormatPriceLine>Dynamic</FormatPriceLine>"+"<FormatVolume>#,##0 K</FormatVolume>"+"<FormatDate>HH:mm</FormatDate>"+"<GradeBackground>false</GradeBackground>"+"<GradeBackwall>false</GradeBackwall>"+"<WaterMark />"+"<WaterMarkTopMargin>100</WaterMarkTopMargin>"+"<WaterMarkLeftMargin>100</WaterMarkLeftMargin>"+"<WaterMarkTransparency>50</WaterMarkTransparency>"+"<PointSize>0.015</PointSize>"+"<StackVariationLabels>false</StackVariationLabels>"+"<ShowAxisLabelInLegend>false</ShowAxisLabelInLegend>"+"<LineWidth>2</LineWidth>"+"<SplitPercent>25</SplitPercent>"+"<ShowHigh>false</ShowHigh>"+"<ShowLow>false</ShowLow>"+"<ShowOpen>false</ShowOpen>"+"<ShowClose>false</ShowClose>"+"<ShowVolume>true</ShowVolume>"+"<ShowUpVariation>false</ShowUpVariation>"+"<ShowDownVariation>false</ShowDownVariation>"+"<ShowLegend>true</ShowLegend>"+"<VariationYear>1</VariationYear>"+"<VolumeDivider>1000</VolumeDivider>"+"<VolumeTextOffset>-55</VolumeTextOffset>"+"<PriceTextOffset>-55</PriceTextOffset>"+"<FrameType>None</FrameType>"+"<Projection>Orthogonal</Projection>"+"<MarginTop>5</MarginTop>"+"<MarginBottom>10</MarginBottom>"+"<MarginLeft>5</MarginLeft>"+"<MarginRight>5</MarginRight>"+"<FontFamily>arial</FontFamily>"+"<FontSizeHeader>8</FontSizeHeader>"+"<FontSizeFooter>8</FontSizeFooter>"+"<Height>0.7</Height>"+"<Width>0.9</Width>"+"<ZoomPercent>100</ZoomPercent>"+"<LegendBox>false</LegendBox>"+"<ColorLegendBackground>#FFFFFF</ColorLegendBackground>"+"<ColorLegendBorder>#000000</ColorLegendBorder>"+"<LegendVerticalPosition>6</LegendVerticalPosition>"+"<LegendHorizontalPosition>83</LegendHorizontalPosition>"+"<Reload>false</Reload>"+"<ShowPriceChartLabels>false</ShowPriceChartLabels>"+"<TickPrecision>Minute</TickPrecision>"+"<TickPeriods>5</TickPeriods>"+"<WaterMarkHorizontalAlign>Center</WaterMarkHorizontalAlign>"+"<LightScheme>None</LightScheme>"+"<FontSizeLegend>8</FontSizeLegend>"+"<FontSizeAxes>8</FontSizeAxes>"+"<FontSizeTitle>10</FontSizeTitle>"+"<DaysForHourDisplay>1</DaysForHourDisplay>"+"<DaysForDayDisplay>14</DaysForDayDisplay>"+"<DaysForWeekDisplay>62</DaysForWeekDisplay>"+"<DaysForBiWeeklyDisplay>93</DaysForBiWeeklyDisplay>"+"<DaysForMonthDisplay>186</DaysForMonthDisplay>"+"<DaysForQuarterDisplay>372</DaysForQuarterDisplay>"+"<DaysForSemiAnnualDisplay>1116</DaysForSemiAnnualDisplay>"+"<DaysForAnnualDisplay>1116</DaysForAnnualDisplay>"+"<DaysForBiAnnualDisplay>3720</DaysForBiAnnualDisplay>"+"<DaysForPentaAnnualDisplay>9300</DaysForPentaAnnualDisplay>"+"</Design>"+"</"+method+">"+"</soap:Body></soap:Envelope>";var xmlHttp=juiceapp_SOAPClient._getXmlHttp();xmlHttp.open("POST",url,async);var soapaction=((ns.lastIndexOf("/")!=ns.length-1)?ns+"/":ns)+method;xmlHttp.setRequestHeader("SOAPAction",soapaction);xmlHttp.setRequestHeader("Content-Type","text/xml; charset=utf-8");if(async)
{xmlHttp.onreadystatechange=function()
{if(xmlHttp.readyState==4)
juiceapp_SOAPClient._onSendSoapRequest(method,async,callback,wsdl,xmlHttp);}}
xmlHttp.send(sr);if(!async)
return juiceapp_SOAPClient._onSendSoapRequest(method,async,callback,wsdl,xmlHttp);}
juiceapp_SOAPClient._onSendSoapRequest=function(method,async,callback,wsdl,req)
{var o=null;var nd=juiceapp_SOAPClient._getElementsByTagName(req.responseXML,method+"Result");if(nd.length==0)
{if(req.responseXML.getElementsByTagName("faultcode").length>0)
{if(async||callback)
o=new Error(500,req.responseXML.getElementsByTagName("faultstring")[0].childNodes[0].nodeValue);else
throw new Error(500,req.responseXML.getElementsByTagName("faultstring")[0].childNodes[0].nodeValue);}}
else
o=juiceapp_SOAPClient._soapresult2object(nd[0],wsdl);if(callback)
callback(o,req.responseXML);if(!async)
return o;}
juiceapp_SOAPClient._soapresult2object=function(node,wsdl)
{var wsdlTypes=juiceapp_SOAPClient._getTypesFromWsdl(wsdl);return juiceapp_SOAPClient._node2object(node,wsdlTypes);}
juiceapp_SOAPClient._node2object=function(node,wsdlTypes)
{if(node==null)
return null;if(node.nodeType==3||node.nodeType==4)
return juiceapp_SOAPClient._extractValue(node,wsdlTypes);if(node.childNodes.length==1&&(node.childNodes[0].nodeType==3||node.childNodes[0].nodeType==4))
return juiceapp_SOAPClient._node2object(node.childNodes[0],wsdlTypes);var isarray=juiceapp_SOAPClient._getTypeFromWsdl(node.nodeName,wsdlTypes).toLowerCase().indexOf("arrayof")!=-1;if(!isarray)
{var obj=null;if(node.hasChildNodes())
obj=new Object();for(var i=0;i<node.childNodes.length;i++)
{var p=juiceapp_SOAPClient._node2object(node.childNodes[i],wsdlTypes);obj[node.childNodes[i].nodeName]=p;}
return obj;}
else
{var l=new Array();for(var i=0;i<node.childNodes.length;i++)
l[l.length]=juiceapp_SOAPClient._node2object(node.childNodes[i],wsdlTypes);return l;}
return null;}
juiceapp_SOAPClient._extractValue=function(node,wsdlTypes)
{var value=node.nodeValue;switch(juiceapp_SOAPClient._getTypeFromWsdl(node.parentNode.nodeName,wsdlTypes).toLowerCase())
{default:case"s:string":return(value!=null)?value+"":"";case"s:boolean":return value+""=="true";case"s:int":case"s:long":return(value!=null)?parseInt(value+"",10):0;case"s:double":return(value!=null)?parseFloat(value+""):0;case"s:datetime":if(value==null)
return null;else
{value=value+"";value=value.substring(0,(value.lastIndexOf(".")==-1?value.length:value.lastIndexOf(".")));value=value.replace(/T/gi," ");value=value.replace(/-/gi,"/");var d=new Date();d.setTime(Date.parse(value));return d;}}}
juiceapp_SOAPClient._getTypesFromWsdl=function(wsdl)
{var wsdlTypes=new Array();var ell=wsdl.getElementsByTagName("s:element");var useNamedItem=true;if(ell.length==0)
{ell=wsdl.getElementsByTagName("element");useNamedItem=false;}
for(var i=0;i<ell.length;i++)
{if(useNamedItem)
{if(ell[i].attributes.getNamedItem("name")!=null&&ell[i].attributes.getNamedItem("type")!=null)
wsdlTypes[ell[i].attributes.getNamedItem("name").nodeValue]=ell[i].attributes.getNamedItem("type").nodeValue;}
else
{if(ell[i].attributes["name"]!=null&&ell[i].attributes["type"]!=null)
wsdlTypes[ell[i].attributes["name"].value]=ell[i].attributes["type"].value;}}
return wsdlTypes;}
juiceapp_SOAPClient._getTypeFromWsdl=function(elementname,wsdlTypes)
{var type=wsdlTypes[elementname]+"";return(type=="undefined")?"":type;}
juiceapp_SOAPClient._getElementsByTagName=function(document,tagName)
{try
{return document.selectNodes(".//*[local-name()=\""+tagName+"\"]");}
catch(ex){}
return document.getElementsByTagName(tagName);}
juiceapp_SOAPClient._getXmlHttp=function()
{try
{if(window.XMLHttpRequest)
{var req=new XMLHttpRequest();if(req.readyState==null)
{req.readyState=1;req.addEventListener("load",function()
{req.readyState=4;if(typeof req.onreadystatechange=="function")
req.onreadystatechange();},false);}
return req;}
if(window.ActiveXObject)
return new ActiveXObject(juiceapp_SOAPClient._getXmlHttpProgID());}
catch(ex){}
throw new Error("Your browser does not support XmlHttp objects");}
juiceapp_SOAPClient._getXmlHttpProgID=function()
{if(juiceapp_SOAPClient._getXmlHttpProgID.progid)
return juiceapp_SOAPClient._getXmlHttpProgID.progid;var progids=["Msxml2.XMLHTTP.5.0","Msxml2.XMLHTTP.4.0","MSXML2.XMLHTTP.3.0","MSXML2.XMLHTTP","Microsoft.XMLHTTP"];var o;for(var i=0;i<progids.length;i++)
{try
{o=new ActiveXObject(progids[i]);return juiceapp_SOAPClient._getXmlHttpProgID.progid=progids[i];}
catch(ex){};}
throw new Error("Could not find an installed XML parser");}